# ERRMS
Build status (develop branch): 
[![builds.sr.ht status](https://builds.sr.ht/~anghenfil.svg)](https://builds.sr.ht/~anghenfil?search=)
![project status](https://www.repostatus.org/badges/latest/wip.svg)

## About ERRMS
* ERRMS stands for **E**mergency **R**esponse and
 **R**escue **M**anagement **S**ystem
* application for fire departments, humanitarian aid organisations and similar
* organise member data, events/operations and other resources

Checkout our presentation: https://md.kabi.tk/p/H1nWPbueL

## characteristics
* fully open source (APGLv3)
* modular software
* strong focus on data privacy & data security
* provides feature-rich API for integration
* multilingual, easy to translate software
* strong, precise permission system

## How to contribute
* You can contribute by signing pull requests and issues or programming!
* Get in contact (Matrix: #errms@matrix.anghenfil.de) and check our website errms.dev and our project management tool: pm.errms.dev


## Zeitplan/Timetable
**Version 0.1:**
* core system
* Mitgliedsverwaltung/member management

**Version 0.2:**
* Fahrzeugverwaltung (nur Basisfunktionen) / vehicle management (limited functionality)
* Einsatzverwaltung / event management
* Veranstalterverwaltung / manage event organizer

**Version 0.3:**
* Abrechnung / billing module
* Fahrzeugverwaltung (erweitert) / expended vehicle management
