-- Your SQL goes here
create table vehicles
(
    entity_id               uuid    default uuid_generate_v1() not null,
    identifier              text                               not null,
    numberplate             text,
    description             text,
    next_inspection         date,
    is_operational          boolean default true               not null,
    admissible_total_weight real,
    required_license        text,
    constraint vehicles_pk
        primary key (entity_id),
    constraint vehicles_entities_entity_id_fk
        foreign key (entity_id) references entities
            on update cascade on delete cascade
);