-- Your SQL goes here
create table permissions
(
    permission  text not null
        constraint permissions_pk
            primary key,
    description text
);


INSERT INTO permissions (permission, description) VALUES ('modules.configuration.fields.communication_types.view', 'Permission to see all communication types');
INSERT INTO permissions (permission, description) VALUES ('modules.dashboard.view', 'Permission to see Dashboard');
INSERT INTO permissions (permission, description) VALUES ('modules.event_management.view', 'Permission to see Event Management');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.core.edit', 'Permission to edit group name + description');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.create', 'Permission to create new group');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.delete', 'Permission to delete entire group');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.edit', 'Permission to see edit group mode');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.members.edit', 'Permission to edit group members (adding/removing)');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.members.view', 'Permission to see all members in group');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.permissions.edit', 'Permission to edit group permissions');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.permissions.view', 'Permission to see group permissions');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.groups.view', 'Permission to see group data');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.list.view', 'Permission to access member list. Note: Member will only see members selected in context. Exception: members with modules.member_management.list.view.all will see any members, ignoring context!');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.communication.edit', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.communication.view', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.core.edit', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.create', 'Permission to create new member');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.delete', 'Permission to delete specified member profile');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.drive_permissions_licenses.edit', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.drive_permissions_licenses.view', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.edit', 'Permission to edit specified member profile');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.groups.edit', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.groups.view', 'Permission to see all groups of member in profile view');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.iban_bic.edit', 'Permission to edit member''s IBAN + BIC');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.iban_bic.view', 'Permission to see member''s IBAN + BIC');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.image.edit', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.image.view', 'Permission to see members profile image');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.qualification.view', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.qualifications.edit', null);
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.view', 'Permission to see specified member profile');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.search', 'Permission to search for members');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.view', 'Permission to see Member Management');
INSERT INTO permissions (permission, description) VALUES ('modules.resource_management.view', 'Permission to see Resource Management');
INSERT INTO permissions (permission, description) VALUES ('modules.units.edit', 'Permission to edit existing unit');
INSERT INTO permissions (permission, description) VALUES ('modules.units.delete', 'Permission to delete existing unit');
INSERT INTO permissions (permission, description) VALUES ('modules.units.create', 'Permission to create new unit');
INSERT INTO permissions (permission, description) VALUES ('modules.units.members.view', 'Permission to see all unit members');
INSERT INTO permissions (permission, description) VALUES ('modules.units.members.edit', 'Permission to change unit members');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.units.view', 'Permission to see members units');
INSERT INTO permissions (permission, description) VALUES ('modules.member_management.profile.units.edit', 'Permission to edit members units');