-- Your SQL goes here
create table license_categories
(
    name        text not null
        constraint license_categories_pk
        primary key,
    description text
);

INSERT INTO license_categories (name, description) VALUES ('AM', 'zwei- oder dreirädrige Kraftfahrzeuge mit einer bauartbedingten Höchstgeschwindigkeit von bis zu 45 km/h, bis 4 kW, 50 cm³, bis 270 kg leer. Vierrädrige Leichtkraftfahrzeuge bis 45 km/h, bis 6 kW, bis 50 cm³, bis 425 kg leer.');
INSERT INTO license_categories (name, description) VALUES ('A1', 'Krafträder mit einem Hubraum von bis zu 125 cm³ mit einer Motorleistung von bis zu 11 kW (Leichtkrafträder) und einem Leistungsgewicht bis zu 0,1 kW/kg sowie dreirädrige Kraftfahrzeuge mit einer Leistung von bis zu 15 kW');
INSERT INTO license_categories (name, description) VALUES ('A2', 'Krafträder mit einer Motorleistung von bis zu 35 kW und einem Leistungsgewicht bis zu 0,2 kW/kg, die nicht von einem Fahrzeug mit mehr als der doppelten Motorleistung abgeleitet sind');
INSERT INTO license_categories (name, description) VALUES ('A', 'Krafträder über 50 cm³ oder über 45 km/h, auch mit Beiwagen, sowie dreirädrige Kraftfahrzeuge[4] mit einer Leistung von mehr als 15 kW');
INSERT INTO license_categories (name, description) VALUES ('B1', 'Mehrspurige Kraftfahrzeuge bis 550 kg Leermasse');
INSERT INTO license_categories (name, description) VALUES ('B', 'Mehrspurige Kraftfahrzeuge bis 3,5 t zulässiger Gesamtmasse und maximal 9 Sitzplätzen (einschließlich Fahrer).');
INSERT INTO license_categories (name, description) VALUES ('C1', 'Mehrspuriges Kraftfahrzeug bis 7,5 t zulässiger Gesamtmasse, maximal 9 Sitzplätze (einschließlich Fahrer)');
INSERT INTO license_categories (name, description) VALUES ('C', 'Mehrspurige Kraftfahrzeuge über 7,5 t zulässiger Gesamtmasse, maximal 9 Sitzplätze (einschließlich Fahrer)');
INSERT INTO license_categories (name, description) VALUES ('D1', 'Omnibusse mit bis 16 Sitzplätzen einschließlich Fahrer und höchstens 8 m Länge');
INSERT INTO license_categories (name, description) VALUES ('D', 'Omnibusse mit mehr als 9 Sitzplätzen (einschließlich Fahrer)');
INSERT INTO license_categories (name, description) VALUES ('BE', 'Züge aus B-Zugfahrzeug und Anhänger über 0,75 t zulässiger Gesamtmasse (sofern der Zug nicht unter Klasse B fällt)');
INSERT INTO license_categories (name, description) VALUES ('C1E', 'Züge aus C1-Zugfahrzeug und Anhänger über 0,75 t zulässiger Gesamtmasse, sowie Züge aus B-Zugfahrzeug und Anhänger über 3,5 t zulässiger Gesamtmasse');
INSERT INTO license_categories (name, description) VALUES ('CE', 'Lastzüge und Sattelkraftfahrzeuge');
INSERT INTO license_categories (name, description) VALUES ('D1E', 'Züge aus D1-Zugfahrzeug und Anhänger mit mehr als 0,75 t zulässiger Gesamtmasse');
INSERT INTO license_categories (name, description) VALUES ('DE', 'Züge aus D-Zugfahrzeug und Anhänger mit mehr als 0,75 t zulässiger Gesamtmasse');
INSERT INTO license_categories (name, description) VALUES ('L', '');
INSERT INTO license_categories (name, description) VALUES ('T', '');
