-- Your SQL goes here
create table licenses_members
(
    member_id uuid not null
        constraint members_licenses_members_entity_id_fk
        references members
        on update cascade on delete cascade,
    license_name text not null
        constraint members_licenses_license_categories_name_fk
        references license_categories
        on update cascade on delete cascade,
    drive_permission boolean default false not null,
    constraint members_licenses_pk
        primary key (member_id, license_name)
);
