$( document ).ready(function() {
    $(".delete_member_button").on("click", MemberDeleteModule.delete_button_listener);
    //Searchbar typing events:
    $("#member_delete_modal_name_confirmation").on("keyup",  MemberDeleteModule.name_confirmation_typing);
    $("#member_delete_modal_name_confirmation").bind("paste", MemberDeleteModule.name_confirmation_typing);
    $("#member_delete_modal_name_confirmation").bind("cut", MemberDeleteModule.name_confirmation_typing);
    $("#member_delete_modal_delete_button").on("click", MemberDeleteModule.delete_member);
});

var name = "";
var uuid = "";

MemberDeleteModule = ( function() {
    var delete_button_listener = function(){
        $("#member_delete_modal_delete_button").prop("disabled", true);
        $("#member_delete_modal_member_name").html("");
        $("#member_delete_modal_name_confirmation").val("");
        $("#member_delete_modal_name_confirmation").attr("placeholder", "");

        name = $(this).data("member-firstname")+" "+$(this).data("member-lastname");
        uuid = $(this).data("member-id");

        $("#member_delete_modal_member_name").html(name);
        $("#member_delete_modal_name_confirmation").attr("placeholder", name);
        $("#member_delete_modal").modal();
    };
    var delete_member = function(){
        $.ajax({
            url: '/api/members/'+uuid,
            type: 'DELETE',
            contentType: 'application/json',
            success: function(data) {
                if(is_ok(data)) {
                    location.reload();
                }
            },
            timeout: 3000,
            error: function() {
                alert("Verbindung zum Server unterbrochen!");
            }
        });
    };
    var name_confirmation_typing = function(){
        if($("#member_delete_modal_name_confirmation").val() === name){
            $('#member_delete_modal_delete_button').removeClass('disabled');
            $('#member_delete_modal_delete_button').prop("disabled", false);
        }
    };
    return{
        delete_button_listener: delete_button_listener,
        name_confirmation_typing: name_confirmation_typing,
        delete_member: delete_member,
    };
})();