use chrono::NaiveDateTime;
use crate::schema::login_attempts;
use diesel::sql_types::*;

#[derive(QueryableByName)]
pub struct LoginAttemptsResult{
    #[sql_type = "BigInt"]
    pub count : i64,
    #[sql_type = "Nullable<Timestamp>"]
    pub last_timestamp: Option<NaiveDateTime>,
}