use diesel::sql_types::*;

#[derive(Queryable, QueryableByName, Clone, Deserialize, Serialize)]
pub struct RawMemberLicense {
    #[sql_type = "Text"]
    pub(crate) name: String,
    #[sql_type = "Nullable<Bool>"]
    pub(crate) drive_permission: Option<bool>,
    #[sql_type = "Nullable<Text>"]
    pub(crate) description: Option<String>,
}
