#[derive(Serialize, Deserialize, Queryable, Clone)]
pub struct CommunicationType {
    pub(crate) type_id: uuid::Uuid,
    pub(crate) type_name: String,
}

#[derive(Serialize, Deserialize, Queryable, Clone)]
pub struct CommunicationTypeList {
    pub(crate) types: Vec<CommunicationType>,
}

#[derive(Serialize, Deserialize, Queryable, Clone)]
pub struct CommunicationTargetId {
    pub(crate) target_id: uuid::Uuid,
}
