create table members
(
    entity_id uuid default uuid_generate_v1() not null
        constraint pk___members___id
            primary key
        constraint members_entities_entity_id_fk
            references entities
            on update cascade on delete cascade,
    users_id uuid
        constraint fk___members___users_id___users
            references users
            on update cascade on delete set null,
    firstname text not null,
    lastname text not null,
    date_of_birth date,
    sex smallint,
    salutation text,
    place_of_birth text,
    academic_titles text,
    personnel_number integer,
    ui_language text,
    nationality text,
    entrance_date date,
    birth_name text,
    iban text,
    bic text
);

create unique index members_personnel_number_uindex
    on members (personnel_number);

