-- Your SQL goes here
create table password_resets
(
    token text not null
        constraint password_resets_pk
            primary key,
    user_id uuid not null
        constraint password_resets_users_id_fk
            references users
            on update cascade on delete cascade,
    issued timestamp default CURRENT_TIMESTAMP not null
);

create unique index password_resets_token_uindex
    on password_resets (token);


