use chrono::{Datelike, Local, NaiveDate};

pub fn calculate_age(date_of_birth: NaiveDate) -> i32 {
    let local: NaiveDate = Local::now().naive_local().date();

    if local.month() < date_of_birth.month()
        || (local.month() == date_of_birth.month() && local.day() < date_of_birth.day())
    {
        local.year() - date_of_birth.year() - 1
    } else {
        local.year() - date_of_birth.year()
    }
}
