#[derive(Serialize, Deserialize, Queryable, Clone)]
pub struct QualificationCategory {
    pub(crate) id: uuid::Uuid,
    pub(crate) name: String,
    pub(crate) description: Option<String>,
    pub(crate) qualifications: Vec<Qualification>,
    pub(crate) visible: bool,
}

#[derive(Serialize, Deserialize, Queryable, Clone)]
pub struct Qualification {
    pub(crate) id: uuid::Uuid,
    pub(crate) name: String,
    pub(crate) description: Option<String>,
}

#[derive(Serialize, Deserialize, Queryable, Clone)]
pub struct QualificationList {
    pub(crate) categories: Vec<QualificationCategory>,
}
